#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE5,0xE9,0x97,0x61,0xD3,0xBC,0xE1,0x45,0x66,0x76,0xBC,0x6D,
		0x7C,0x43,0xB2,0x0E,0x56,0x92,0x9E,0x00,0x76,0x80,0x38,0x57,
		0x17,0x70,0x28,0x4A,0x66,0xEB,0x9F,0xA6,0xEB,0x98,0xD2,0xBF,
		0x72,0x83,0x61,0x9C,0xFD,0x1C,0x46,0xAB,0x05,0xBC,0x4A,0x2A,
		0x01,0xA6,0xC0,0x15,0x36,0x89,0x84,0xA4,0xE7,0xF7,0x54,0x91,
		0xF3,0xBB,0xA1,0x8B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
